#include<iostream>
using namespace std;
int main(){
	long long n, m, k;
	cin >> n >> m >> k;
    for(long long i = 1;i <= n;i+=i){
    	if(n % k !=0){
    		n++;
		}
		if(m % k !=0){
			m++;
		}
	}
	long long a = (n / k) * (m / k); 
	cout << a;
}
